<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <title>FlexiDug - Mobile Simulator</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    
    <link rel="icon" type="image/png" href="flexidug.png" />

    <link rel="stylesheet" type="text/css" href="css/style.css">
    <link rel="stylesheet" href="css/font-awesome.min.css">
  </head>
  <body>

    <!-- templates -->
    <script id="audio-template" type="text/x-handlebars-template">
      <div class="outgoing_msg">
        <div class="sent_msg">
          <p>
            <audio controls src="{{src}}"></audio>
          </p>
          <span class="time_date"> {{date}} </span> </div>
      </div>
    </script>

    <script id="audio-template2" type="text/x-handlebars-template">
      <div class="incoming_msg">
        <div class="received_msg">
          <div class="received_withd_msg">
            <p>
              <audio autoplay controls src="{{src}}"> </audio>
            </p>
            <span class="time_date"> {{date}} </span></div>
        </div>
      </div>
    </script>

   
    




    <script id="text-template" type="text/x-handlebars-template">
      <li class="text">
        <p>{{text}}</p>
        <p class="intent"><b>{{intent}}</b> ({{confidence}}) [{{entities}}]</p>
      </li>
    </script>

    <div id="controls">
  	  <button id="recordButton"><i class="fa" aria-hidden="true"></i>&nbsp;<span class="txt">...</span></button>
    </div>


    <div id="formats">Format: start recording to see sample rate</div>
    
  	<p><strong>Recordings:</strong></p>
    <div class="mesgs">
      <div id="recordingsList" class="msg_history">
      </div>
    </div>

    <!-- inserting these scripts at the end to be able to use all the elements in the DOM -->
  	<script src="js/jquery-3.6.3.min.js"></script>
  	<script src="js/handlebars.min-v4.7.7.js"></script>
  	<script src="js/recorder.js"></script>
  	<script src="js/app.js"></script>

  </body>
</html>